import { AppKit } from '@web3modal/base';
import type { AppKitOptions } from '@web3modal/base';
import { type AdapterOptions } from '@web3modal/base/adapters/evm/ethers';
import { type Chain, type EthersStoreUtilState } from '@web3modal/scaffold-utils/ethers';
import type { Eip1193Provider } from 'ethers';
export { defaultConfig } from '@web3modal/base/adapters/evm/ethers';
export type EthersAppKitOptions = Omit<AppKitOptions<Chain>, 'adapters' | 'sdkType' | 'sdkVersion'> & AdapterOptions;
export declare function createWeb3Modal(options: EthersAppKitOptions): AppKit<EthersStoreUtilState, number>;
export declare function useWeb3ModalProvider(): {
    walletProvider: Eip1193Provider | undefined;
    walletProviderType: "walletConnect" | "injected" | "coinbaseWallet" | "eip6963" | "w3mAuth" | "coinbaseWalletSDK" | undefined;
};
export declare function useDisconnect(): {
    disconnect: () => Promise<void>;
};
export declare function useSwitchNetwork(): {
    switchNetwork: (chainId: number) => Promise<void>;
};
export declare function useWeb3ModalAccount(): {
    address: `0x${string}` | undefined;
    isConnected: boolean;
    chainId: number | undefined;
    status: import("@web3modal/scaffold-utils/ethers").Status;
};
export declare function useWeb3ModalError(): {
    error: unknown;
};
export { useWeb3ModalTheme, useWeb3Modal, useWeb3ModalState, useWeb3ModalEvents, useWalletInfo } from '@web3modal/base/utils/library/react';
